Subject: Re: bug#44351: Bug in grep v3.2 onwards in regular expression matching

From: Jim Meyering <[email-masked]>
Date: Sun, 1 Nov 2020 07:22:39 -0800

On Sun, Nov 1, 2020 at 7:19 AM Jim Meyering <[email-masked]> wrote:
>
> On Sun, Nov 1, 2020 at 12:42 AM Norihiro Tanaka <[email-masked]> wrote:
> > Example,
> >
> >   a+a+a
> >   1 2 3
> >
> > position 1 has a repetition of "a" and other transition with "a".
> > position 2 has a repetition of "a" and other transition with "a", too.
> > Then DFA was merging the two nodes, but it is wrong.
> >
> > Now similar nodes in series are not merged.
>
> Thank you for the quick work.
> Would you please send a revised test patch? That one appears to be a
> tiny delta added to a file that only you have locally. I.e., it
> requires the new file tests/ere.tests, with 200+ lines.

Oops. My mistake. I thought you were adding the test in gnulib and
hadded a new framework there.
The tests/ere.tests file is in grep. No problem. Thanks again.